Subject: Re: primary and secondary ip addresses

From: Andrea G Forte <[email-masked]>
Date: Fri, 17 Dec 2004 12:17:48 -0500

> How it works today is that the first IP you add in a subnet becomes a 
> primary, any additional IPs you add in the same subnet becomes 
> secondary. You can have any number of primary IPs with each any number 
> of secondary IPs, the primary IPs just can't be in the same subnet.
>
Well, when I assign a new IP (for a new subnet) to the same interface 
(using ip route add...),  even though the routing table is updated, it 
still takes about 500ms for the change to happen. This new IP should be 
detected as primary, right? Also, am I right to say that any IP address 
assigned to an alias interface is a secondary IP?
Do you know where the code for the routing cache is?

Thanks for your help,
Andrea

> Regards
> Henrik